Bug 111626 - telnet 0 fails with latest glibc
telnet 0 fails with latest glibc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-06 15:13 EST by Abel Lopez
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 00:48:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Abel Lopez 2003-12-06 15:13:13 EST
Description of problem:
on systems with glibc-2.2.93-5, you can connect to localhost by typing
'telnet 0 [port]'
on systems with glibc-2.3.2-4.80.6, typing telnet 0 returns
telnet: 0: Name or service not known
0: Unknown host

Version-Release number of selected component (if applicable):
8

How reproducible:
example, on a mail server, 'telnet 0 25' should connect to localhost:25

Steps to Reproduce:
1. telnet 0 25
2.
3.
  
Actual results:
telnet: 0: Name or service not known
0: Unknown host

Expected results:
Trying 0.0.0.0...
Connected to 0.
Escape character is '^]'.

Additional info:
This has only been seen on systems running glibc-2.3 or higher
Comment 1 Ulrich Drepper 2004-08-26 00:48:29 EDT
Seems to work with current versions.  If there was such a bug (I don't
say there wasn't) it has been fixed meanwhile.

Note You need to log in before you can comment on or make changes to this bug.